Set status
curl --request PUT \
--url https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"statusId": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status"
payload = {
"accountId": "<string>",
"statusId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>', statusId: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '<string>',
'statusId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"statusId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"<string>\",\n \"statusId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"<string>\",\n \"statusId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"status": {
"id": "b8d1f6f4-3a52-4f3a-8f0b-0c2f6a9d1e11",
"label": "Interested",
"color": "#4ede88",
"createdAt": "2026-10-01T09:30:00.000Z"
},
"changed": true
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Conversation details
Set status
Puts the person in a conversation in a status, or clears it.
PUT
/
conversations
/
{conversationId}
/
status
Set status
curl --request PUT \
--url https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"statusId": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status"
payload = {
"accountId": "<string>",
"statusId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>', statusId: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '<string>',
'statusId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"statusId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"<string>\",\n \"statusId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/conversations/{conversationId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"<string>\",\n \"statusId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"status": {
"id": "b8d1f6f4-3a52-4f3a-8f0b-0c2f6a9d1e11",
"label": "Interested",
"color": "#4ede88",
"createdAt": "2026-10-01T09:30:00.000Z"
},
"changed": true
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Path Parameters
The conversation ID. URL-encode it in paths: X IDs contain :.
Body
application/json